# Cubo Libre Operating Systems
The main operating systems for the Cubo Libre mini-cluster
are Debian and OpenBSD. Debian is used for compute and
GUI nodes. OpenBSD is used for the firewall.

## Debian
Debian has a well advanced port of 64-bit RISC-V already.

* https://www.debian.org

## OpenBSD
OpenBSD is known for being "the most" secure.
It will be used for the firewall.

* https://www.openbsd.org

* All network traffic in and out of the cluster passes through
the firewall.

* Time source.
Network Time Protocol (NTP) and/or
Precision Time Protocol (PTP) server.

* Random number generation seeds.

* PF firewall.

* Openbsd-current.

* Proxy all traffic to external data center.

* Generate entropy for other systems.

