# Cubo Libre Clock

Time source will come from Internet NTP and external GPS antenna for
confirmation. Other external time sources will be considered.

## Precision Time Protocol (PTP)

Use precision time protocol within the cluster.

* Mellanox SN2100 / SN2700 (Spectrum silicon) switches with MLNX-OS/ONYX (in GA since 3.6.5011) for PTP IEEE-1588 (SMPTE ST2059-2 profile)[41] or with Cumulus Linux (from version 3.6) with the ptp4l Linux package.[42]

## Network Time Protocol (NTP)

Network Time Protocol is used for time sync from the Internet.

* Run time server on cluster firewall.

## GPS

* External GPS with serial connection to cluster firewall.

## WWVB

* WWVB 
https://en.wikipedia.org/wiki/WWVB
303-499-7111
https://www.nist.gov/time-distribution/radio-station-wwvb
https://github.com/TaaviE/radioclkd2

BPSK new signal on WWVB since 2012 (?)
http://everset-tech.com/signal/
http://everset-tech.com/wp-content/uploads/2014/11/CMOSBPSKReceiver.pdf


## CDMA

* CDMA time server
  http://beaglesoft.com/celsynhome.htm
  Garmin CDMA35
  Multitech CDMA

## ACTS

* The NIST transmits in its own standard Automated Computer Timer Service (ACTS). It is contacted via TCP/IP on port 13


## Misc

* Explore SDR/FPGA possibilities.

* Very particular about very good computer time:
"The International Occultation Timing Association"
http://www.lunar-occultations.com/iota/iotandx.htm
http://beaglesoft.com/radsynreceiver.htm

* IRIG-B

